# pspwlan.h File Reference

Go to the source code of this file.

## Functions

int | sceWlanDevIsPowerOn (void)
| Determine if the wlan device is currently powered on.
int | sceWlanGetSwitchState (void)
| Determine the state of the Wlan power switch.
int | sceWlanGetEtherAddr (char *etherAddr)
| Get the Ethernet Address of the wlan controller.

## Function Documentation

int sceWlanDevIsPowerOn | ( | void |  | ) |

Determine if the wlan device is currently powered on.

Returns:
  0 if off, 1 if on

int sceWlanGetEtherAddr | ( | char * | etherAddr | ) |

Get the Ethernet Address of the wlan controller.

Parameters:

  | etherAddr | - pointer to a buffer of chars with at least length 7

Returns:
  0 on success, < 0 on error

int sceWlanGetSwitchState | ( | void |  | ) |

Determine the state of the Wlan power switch.

Returns:
  0 if off, 1 if on